commit:     f5289bb4f86c905b258c6d6e9e9ba7f721d866ac
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed May 21 11:06:56 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed May 21 11:06:56 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f5289bb4

xfce-extra/xfce4-panel-profiles: Bump to 1.1.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-extra/xfce4-panel-profiles/Manifest           |  1 +
 .../xfce4-panel-profiles-1.1.0.ebuild              | 53 ++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/xfce-extra/xfce4-panel-profiles/Manifest 
b/xfce-extra/xfce4-panel-profiles/Manifest
index 4195a0b4c749..6ff9427f7037 100644
--- a/xfce-extra/xfce4-panel-profiles/Manifest
+++ b/xfce-extra/xfce4-panel-profiles/Manifest
@@ -1 +1,2 @@
 DIST xfce4-panel-profiles-1.0.15.tar.bz2 121102 BLAKE2B 
7a5a1ba1e3ca565110f3fd962330f176d0e914f3b9154bf95bdbdb3d8b650bbe764751d1d745b601005ae1a52f85bae8f7db8467ff7ae93beb5d012296d860fe
 SHA512 
cf836c318985619f4b74eca3cd54a91c8b6df5758395ae043272eb6056e551e7ecaefb57fc32b7c46d0082336cd44bae5aae95177440210cc6e446835b70b3f1
+DIST xfce4-panel-profiles-1.1.0.tar.xz 83620 BLAKE2B 
e1d56646e3bd5744730bea250996104aadd09785552759df186ccf04a23ef9fdd26f263674e2461f227172c0f5064317aded1b0e7ca7ad917a660977927cb0e6
 SHA512 
082d5f0b778518a6be03277f7d2631804fb36bfb5924c01a4920396d9610cf65d85087103034b96dae57e82cc725bb88bc4d5fe4a9bc0715c2b66b966822d0de

diff --git a/xfce-extra/xfce4-panel-profiles/xfce4-panel-profiles-1.1.0.ebuild 
b/xfce-extra/xfce4-panel-profiles/xfce4-panel-profiles-1.1.0.ebuild
new file mode 100644
index 000000000000..c57bf625ec53
--- /dev/null
+++ b/xfce-extra/xfce4-panel-profiles/xfce4-panel-profiles-1.1.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit python-single-r1 xdg-utils
+
+DESCRIPTION="Simple application to manage Xfce panel layouts"
+HOMEPAGE="
+       https://docs.xfce.org/apps/xfce4-panel-profiles/start
+       https://gitlab.xfce.org/apps/xfce4-panel-profiles/
+"
+SRC_URI="
+       https://archive.xfce.org/src/apps/xfce4-panel-profiles/$(ver_cut 
1-2)/${P}.tar.xz
+"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+BDEPEND="
+       ${PYTHON_DEPS}
+"
+RDEPEND="
+       ${BDEPEND}
+       dev-libs/gobject-introspection
+       $(python_gen_cond_dep '
+               dev-python/psutil[${PYTHON_USEDEP}]
+               dev-python/pygobject:3[${PYTHON_USEDEP}]
+       ')
+       x11-libs/gtk+:3[introspection]
+       xfce-base/libxfce4ui[introspection]
+       xfce-base/xfce4-panel
+"
+
+src_configure() {
+       # home-made configure script, yay!
+       ./configure \
+               --prefix="${EPREFIX}/usr" \
+               --python="${EPYTHON}" \
+               --docdir="${EPREFIX}/usr/share/doc/${PF}" || die
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to